#2742 closed defect (fixed)

New warning in SHM driver

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

Not sure how to fix this one

../../../../../rtems/c/src/libchip/shmdr/init.c:241:29: warning: assignment from incompatible pointer type [-Wincompatible-pointer-types]

MPCI_Shm_extensions.fatal = MPCI_Fatal;


PowerPC/psim with multiprocessing enabled.

Change History (4)

comment:1 Changed on Jun 16, 2016 at 5:09:52 PM by Joel Sherrill

Description: modified (diff)

comment:2 Changed on Jun 17, 2016 at 6:05:11 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In 305231bd3c2cb78421cedb9d7093773359612445/rtems:

bsps: Fix MPCI_Fatal() prototype

Close #2742.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.